Page MenuHomePhabricator

[feature request] Add customizable fallback to Special:GoToLinkedPage
Closed, ResolvedPublic

Description

It would be useful to have the possibility to provide a list of sites that are acceptable to get the reslut in. If the first does not exist, then go to the next, and so on. If no one exists, go to the Wikidata page (or use the same error message as today, but I think that should be fixed too).''

Example: https://www.wikidata.org/wiki/Special:GotoLinkedPage/svwiki/Q99999 will just give an error now. But if it could be specified like: https://www.wikidata.org/wiki/Special:GotoLinkedPage/svwiki|nowiki|dewiki|enwiki/Q99999 I would get a hit in a language that I want.

This feature would be useful for everybody that builds services using Wikidata that want to forward people to our projects in relevant languages to their target groups.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterTrim earlier in SpecialGoToLinkedPage and test it
mediawiki/extensions/Wikibase : masterMake SpecialGoToLinkedPage accept a chain of sites instead of one

Event Timeline

Ainali created this task.May 28 2017, 3:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2017, 3:35 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 30 2017, 11:56 AM
daniel added a subscriber: daniel.Jul 13 2017, 3:51 PM

Don't use pipes, they can't be used in wiki links. Wiki IDs consist of letter only, so why not use comma as a separator?

This comment was removed by Ladsgroup.

Change 365438 had a related patch set uploaded (by AnotherLadsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Make SpecialGoToLinkedPage accept a chain of sites instead of one

https://gerrit.wikimedia.org/r/365438

Change 365562 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/Wikibase@master] Trim earlier in SpecialGoToLinkedPage and test it

https://gerrit.wikimedia.org/r/365562

Change 365438 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Make SpecialGoToLinkedPage accept a chain of sites instead of one

https://gerrit.wikimedia.org/r/365438

Change 365562 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Trim earlier in SpecialGoToLinkedPage and test it

https://gerrit.wikimedia.org/r/365562

Ladsgroup closed this task as Resolved.Jul 19 2017, 10:44 AM
Ladsgroup moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.
Ladsgroup removed a project: Patch-For-Review.
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 25 2017, 8:30 AM